#ifndef GZL_CONFIG_H__
#define GZD_CONFIG_H__

#include <stdbool.h>
#include "nrf_gzll.h"
#include "nrf_gpio.h"
#include "nrf_gpiote.h"
#include "nrf_delay.h"
//#include "app_error.h"
 
#define GZLSPEED 		NRF_GZLL_DATARATE_1MBIT

#define	BASE_ADDR0 	0x7BCE23AF
#define	BASE_ADDR1	0x4B3D1FAC
#define PIPE_0_ADDR	0xEB
#define PIPE_1_ADDR	0x25
#define PIPE_2_ADDR	0xD8
#define PIPE_3_ADDR	0xA6
#define PIPE_4_ADDR	0x53
#define PIPE_5_ADDR	0xF3
#define PIPE_6_ADDR	0x65
#define PIPE_7_ADDR	0x3D

/*
NRF_GZLL_DATARATE_250KBIT,    ///<  250 Kbps datarate.
NRF_GZLL_DATARATE_1MBIT,      ///<  1 Mbps datarate.
NRF_GZLL_DATARATE_2MBIT       ///<  2 Mbps datarate.
*/
#define ATTEMPT_TIMES 1

//For NRF_GZLL_DATARATE_2MBIT the timeslot period must be >= 600 us.
//For NRF_GZLL_DATARATE_1MBIT the timeslot period must be >= 900 us.
//For NRF_GZLL_DATARATE_250KBIT the timeslot period must be >= 2700 us.

#if (GZLSPEED == NRF_GZLL_DATARATE_250KBIT)
#define GZLL_RX_PEROD 3000

#elif (GZLSPEED == NRF_GZLL_DATARATE_1MBIT)
#define GZLL_RX_PEROD 1300  

#elif (GZLSPEED == NRF_GZLL_DATARATE_2MBIT)
#define GZLL_RX_PEROD 700 

#endif


#define timeslots_per_channel 2



bool rc_gzll_set_addr(void);
bool rc_gzll_set_freqhop(void);

#endif
